(use-modules (guix git-download)
             (guix packages)
             (gnu packages autotools)
             (gnu packages base)
             (gnu packages compression)
             (gnu packages guile)
             (gnu packages guile-xyz)
             (gnu packages pkg-config)
             (gnu packages texinfo))

(define guile-hoot-next
  (let ((commit "bdc355d97a88b1337c14d3155ce83fe699b405ac")
        (revision "1"))
    (package
      (inherit guile-hoot)
      (version (git-version "0.4.1" revision commit))
      (source (origin
                (method git-fetch)
                (uri (git-reference
                      (url "https://gitlab.com/spritely/guile-hoot.git")
                      (commit commit)))
                (file-name (git-file-name "guile-hoot" version))
                (sha256
                 (base32 "0p18zy505flacvqi4r2xp42gljnpq86fydvw2k154aw89chhkc32"))))
      (native-inputs
       (list autoconf automake pkg-config texinfo)))))

(packages->manifest (list guile-next guile-hoot-next gnu-make zip))
